@charset "UTF-8";
/* ----------------------------------------------------------------------------------------
今回追加した813px以上のcss(PC)
-------------------------------------------------------------------------------------------- */
.team_list {
  max-width: 1200px;
  width: 90%;
  margin: auto;
}
.team {
  background-color: rgba(255,255,255,0.2);
  padding: 1em;
  border-radius: 20px;
  margin-bottom: 40px;
}
.team_name {
  background-color: #fff;
  color: #060a23;
  text-align: center;
  font-weight: 600;
  margin-bottom: 20px;
  font-size: 1.2em;
  border-radius: 5px;
  padding: 5px 0;
}
.team_name span {
  position: relative;
  display: inline-block;
}
.team_name span::before,.team_name span::after{
  display: inline-block;
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 50px;
  height: 25px;
}
.team_name span::before {
  left: -60px;
  background: url("../images/arrow_left_icon.webp") no-repeat center / 100%;
}
.team_name span::after {
  right: -60px;
  background: url("../images/arrow_right_icon.webp") no-repeat center / 100%;
}
.trainee_list {
  width: 100%;
  display: flex;
  align-items: flex-start;
  flex-wrap: wrap;
  justify-content: center;
}
.trainee {
  width: 13%;
  margin-right: 1.5%;
}
.trainee:nth-of-type(7n) {
  margin-right: 0;
}
.trainee:nth-of-type(n+8) {
  margin-top: 5%;
}
.trainee button {
 border-radius: 15px;
 overflow: hidden;
}
.trainee img {
  transform: scale(1);
  transition: .5s ease-in-out;
}
.trainee:hover img {
  transform: scale(1.1);
}
.name {
  text-align: center;
  font-size: 10px;
  padding-top: 5px;
}
.name span {
  font-weight: 600;
  font-size: 14px;
}
/*-----------------------------------------------------------------------
modal
----------------------------------------------------------------------*/
.modal {
  display: none; 
  position: fixed;
  inset: 0;
  background-color: rgba(6,10,15,0.7);
  z-index: 999;
  align-items: center;
  justify-content: center;
}
.modal.is-open {
  display: flex;   
}
.modal-content,
.modal-container {
  pointer-events: auto;
}
.modal-content {
  overflow-y: auto;
  width: auto;
  height: auto;
  position: relative;
	z-index: 999;
  animation: show 0.3s linear 0s;
}
.modal-toggle {
  touch-action: manipulation;
}
.modal-close {
  /*color: #fff;
  text-decoration: none;
  font-size: 2rem;
  line-height: 1;
  position: absolute;
  right: 5px;
  top: 5px;
  z-index: 999;*/
  display: none;
  opacity:0;
  overflow: hidden;
}
.modal-close:hover, .modal-close:focus {
  text-decoration: none;
  cursor: pointer;
}
@keyframes show{
    from{
        opacity: 0;
    }
    to{
        opacity: 1;
    }
}
.modal-container {
	display: flex;
	justify-content: space-between;
	width: auto;
	height: 90vh;
	align-items: flex-start;
	aspect-ratio:9/16;
	margin: auto;
}
.modal-container video {
	width: 100%;
  height: 100%;
  object-fit: cover;
}
/* ----------------------------------------------------------------------------------------
今回追加した812px以下のcss(SP)
-------------------------------------------------------------------------------------------- */
@media screen and (max-width: 812px) {
.team_list {
  width: 98%;
}
.team {
  padding: 0.75em;
  border-radius: 15px;
  margin-bottom: 20px;
}
.team_name {
  margin-bottom: 10px;
  font-size: 13px;
}
.team_name span::before,.team_name span::after{
  width: 30px;
  height: 15px;
}
.team_name span::before {
  left: -35px;
}
.team_name span::after {
  right: -35px;
}
.trainee_list {
  justify-content: flex-start;
}
.trainee {
  width: 31%;
  margin-right: 3%;
}
.trainee button {
 border-radius: 10px;
}
.trainee:nth-of-type(7n) {
  margin-right: 3%;
}
.trainee:nth-of-type(3n) {
  margin-right: 0;
}
.trainee:nth-of-type(n+4) {
  margin-top: 5%;
}
.name {
  font-size: 8px;
  padding-top: 5px;
}
.name span {
  font-size: 12px;
}
/*-----------------------------------------------------------------------
modal
----------------------------------------------------------------------*/
.modal-container {
	width: 80vw;
  height: auto;
}
}
